
package com.ruoyi.web.webservice.contract;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the com.jncable.sd.htcx package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 *
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _MTOASDHTCXREQ_QNAME = new QName("http://jncable.com/SD/HTCX", "MT_OASD_HTCX_REQ");
    private final static QName _MTOASDHTCXRESP_QNAME = new QName("http://jncable.com/SD/HTCX", "MT_OASD_HTCX_RESP");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.jncable.sd.htcx
     *
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DTOASDHTCXRESP }
     *
     */
    public DTOASDHTCXRESP createDTOASDHTCXRESP() {
        return new DTOASDHTCXRESP();
    }

    /**
     * Create an instance of {@link DTOASDHTCXREQ }
     *
     */
    public DTOASDHTCXREQ createDTOASDHTCXREQ() {
        return new DTOASDHTCXREQ();
    }

    /**
     * Create an instance of {@link DTOASDHTCXRESP.HTDATA }
     *
     */
    public DTOASDHTCXRESP.HTDATA createDTOASDHTCXRESPHTDATA() {
        return new DTOASDHTCXRESP.HTDATA();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTOASDHTCXREQ }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://jncable.com/SD/HTCX", name = "MT_OASD_HTCX_REQ")
    public JAXBElement<DTOASDHTCXREQ> createMTOASDHTCXREQ(DTOASDHTCXREQ value) {
        return new JAXBElement<DTOASDHTCXREQ>(_MTOASDHTCXREQ_QNAME, DTOASDHTCXREQ.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTOASDHTCXRESP }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://jncable.com/SD/HTCX", name = "MT_OASD_HTCX_RESP")
    public JAXBElement<DTOASDHTCXRESP> createMTOASDHTCXRESP(DTOASDHTCXRESP value) {
        return new JAXBElement<DTOASDHTCXRESP>(_MTOASDHTCXRESP_QNAME, DTOASDHTCXRESP.class, null, value);
    }

}
